- Qt 5.15
- Qt Sensors
- C++ Classes
- QPressureSensor
- Qt 5.15.11 Reference Documentation

# QPressureSensor Class

The QPressureSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QPressureSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

This class was introduced in Qt 5.1.

- List of all members, including inherited members

## Public Functions

| QPressureSensor(QObject *parent = Q_NULLPTR)
virtual | ~QPressureSensor()
QPressureReading * | reading() const

## Detailed Description

The only behavioural difference is that this class sets the type properly.

This class also features a reading() function that returns a QPressureReading instead of a QSensorReading.

For details about how the sensor works, see QPressureReading.

See also QPressureReading.

## Member Function Documentation

### QPressureSensor::QPressureSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### `[virtual]` QPressureSensor::~QPressureSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QPressureReading *QPressureSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().